libzypp 17.37.10

zypp::repo::PluginServices Class Reference

`#include <zypp/repo/PluginServices.h>`

## Classes
class | Impl

## Public Types
using | ProcessService = function<bool (const ServiceInfo &)>
| Callback definition.

## Public Member Functions
| PluginServices (const Pathname &path, const ProcessService &callback)
| ~PluginServices ()
| Dtor.

## Friends
std::ostream & | operator<< (std::ostream &str, const PluginServices &obj)

## Detailed Description

Definition at line 28 of file PluginServices.h.

## Member Typedef Documentation

## ◆ ProcessService

using zypp::repo::PluginServices::ProcessService = function<bool (const ServiceInfo &)>

Callback definition.

First parameter is a ServiceInfo object with the resource.

Return false from the callback to get a AbortRequestException to be thrown and the processing to be cancelled.

Definition at line 40 of file PluginServices.h.

## Constructor & Destructor Documentation

## ◆ PluginServices()

zypp::repo::PluginServices::PluginServices | ( | const Pathname & | path,
|  | const ProcessService & | callback )

Definition at line 70 of file PluginServices.cc.

## ◆ ~PluginServices()

zypp::repo::PluginServices::~PluginServices | ( |  | ) |

Dtor.

Definition at line 77 of file PluginServices.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const PluginServices & | obj )
| friend

Definition at line 80 of file PluginServices.cc.

The documentation for this class was generated from the following files:

- zypp/repo/PluginServices.h
- zypp/repo/PluginServices.cc